Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.ocsp
Class SingleBasicResponse.CertStatus

`java.lang.Object
oracle.security.crypto.ocsp.SingleBasicResponse.CertStatus`

Enclosing class:
  SingleBasicResponse

public static class SingleBasicResponse.CertStatus
extends java.lang.Object

Implementation of the different status code of a SingleBasicResponse object.

Field Summary
`static SingleBasicResponse.CertStatus` | `GOOD` The status of the certificate is GOOD.
`static SingleBasicResponse.CertStatus` | `REVOKED` The status of the certificate is REVOKED.
`static SingleBasicResponse.CertStatus` | `UNKNOWN` The status of the certificate is UNKNOWN.

Method Summary
`int` | `getValue()` Returns the value of this status.
`java.lang.String` | `toString()` Returns a brief description of this status object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GOOD

    public static final SingleBasicResponse.CertStatus GOOD

  The status of the certificate is GOOD.

### REVOKED

    public static final SingleBasicResponse.CertStatus REVOKED

  The status of the certificate is REVOKED.

### UNKNOWN

    public static final SingleBasicResponse.CertStatus UNKNOWN

  The status of the certificate is UNKNOWN.

Method Detail

### getValue

    public int getValue()

  Returns the value of this status.
  Returns:
    An int representing this status.

### toString

    public java.lang.String toString()

  Returns a brief description of this status object.
  Returns:
    A String describing this object.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.